# Out of Sight 1.0.3
# BID: 7E610F688F92412B

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x7995058, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x79D1700, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x7E26190, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing